package li260.dijkstra;

import java.util.ArrayList;
import java.util.Comparator;

import li260.geometrie.Vecteur;

public class ComparatorDijk implements Comparator<Vecteur> {
	private double[][] dist;
	private ArrayList<Vecteur> coord; 
	
	
	public ComparatorDijk(double[][] dist) {
		this.dist = dist;
		this.setCoord(new ArrayList<Vecteur>());
		}
	
	public int compare( Vecteur a,  Vecteur b) {
		if(dist[(int) a.getX()][(int) a.getY()]>dist[(int) b.getX()][(int) b.getY()])
			return 1;
		else if (dist[(int) a.getX()][(int) a.getY()]==dist[(int) b.getX()][(int) b.getY()])
			return 0;
		return -1;
	}

	public ArrayList<Vecteur> getCoord() {
		return coord;
	}

	public void setCoord(ArrayList<Vecteur> coord) {
		this.coord = coord;
	}
}