package li260.outils;

import java.awt.BorderLayout;
import java.awt.Container;
import java.util.ArrayList;

import javax.swing.Box;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;

import li260.graphics.Fenetre;

@SuppressWarnings("serial")
public class ChoixStrategy extends JFrame {

	private ArrayList<Integer> liste;
	@SuppressWarnings("rawtypes")
	ArrayList<JComboBox> choix;
	
	private JButton ok;
	
	@SuppressWarnings({ "rawtypes", "unchecked" })
	public ChoixStrategy(int nbv,Fenetre f){
		
		this.ok = new JButton("OK");
		 this.ok.addActionListener(new StrategyBoutonListener(this)); 
		this.liste = new ArrayList<Integer>();
		 this.setSize(400, 50*nbv+10*nbv+50);
	 	    //this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	 	    this.setLocationRelativeTo(null);
	 	    this.setVisible(true);
	 	    
	 	    
	 	    
	 	   Container outils = this.getContentPane();
		    Box vbox = Box.createVerticalBox() ;
	 	    outils.add(vbox);
	 	    outils.add(this.ok,BorderLayout.SOUTH);
	 	    ArrayList<JLabel> lab = new ArrayList<JLabel>();
	     this.choix = new ArrayList<JComboBox>();
	 	for(int i=1 ; i<=nbv ;i++){
	 			lab.add(new JLabel("Voitures "+i+" :"));
	 	    	choix.add(new JComboBox());
	 	    	choix.get(i-1).addItem("Strategy Classique");
		 		choix.get(i-1).addItem("Strategy Dijkstra");
		 		choix.get(i-1).addItem("Strategy Points");
		 		choix.get(i-1).addItem("Strategy Composite");
		 		choix.get(i-1).addItem("Strategy Tramway");
		 		choix.get(i-1).addActionListener(new StrategyListener(this,f,i-1));
	 	    	System.out.println(i);
	 	    	vbox.add(lab.get(i-1));
	 	    	vbox.add(choix.get(i-1));
	 	    }
	 	
	}

	public ArrayList<Integer> getListe() {
		return liste;
	}

	public void setListe(ArrayList<Integer> liste) {
		this.liste = liste;
	}

	@SuppressWarnings("rawtypes")
	public ArrayList<JComboBox> getChoix() {
		return choix;
	}

	@SuppressWarnings("rawtypes")
	public void setChoix(ArrayList<JComboBox> choix) {
		this.choix = choix;
	}
	
	
	
}
