package li260.strategy;

import java.util.ArrayList;

import li260.voiture.Commande;

public class StrategyListeCommande implements Strategy {
	
	private ArrayList<Commande> liste ;
	private int index ;
	
	
	
	public StrategyListeCommande(ArrayList<Commande> liste) {
		super();
		this.liste = liste;
		index = 0 ;
	}

	public ArrayList<Commande> getliste(){
		return liste;
	}
	
	public void add(Commande a){
			liste.add(a);
			index++;
	}
	public void init(){
		index = 0;
	}
	public void setListe(ArrayList<Commande> liste) {
		this.liste = liste;
	}



	public Commande getCommande() {
		if (index >= liste.size())
				return null;
		else {
			index++;
			return liste.get(index-1);
			}
			
	}

}
