package li260.strategy;

import java.util.ArrayList;

import li260.circuit.Circuit;
import li260.geometrie.Vecteur;
import li260.radar.Radar;
import li260.voiture.Commande;
import li260.voiture.Voiture;

public class StrategyPrudente implements Strategy {

	Strategy s;
	Voiture v;
	Circuit c;
	Radar r;
	double d;
	ArrayList<Vecteur> danger;
	public StrategyPrudente(Strategy s,Voiture v,Circuit c,Radar r,double d,ArrayList<Vecteur> danger){
		this.s = s;
		this.c = c;
		this.v = v;
		this.r = r;
		this.d = d;
		this.danger = danger;
	}


	@Override
	public Commande getCommande() {
		Commande co = s.getCommande();

		if(!danger.isEmpty()) {
			//if(StrategyPoint.isVisible(v.getPosition(), danger.get(0), c)){
			if(v.getVitesse() < 0.1)
				return new Commande(1,co.getTurn());
			Vecteur PA = v.getPosition().soustraction(danger.get(0));
			if(PA.norme() < 30) {danger.remove(0);
			return null;
			}
			if(PA.norme() < 50) return new Commande(-1,co.getTurn());
			//}
	}
		if(	d != 0 && r.distancesInPixels()[r.getBestIndex()] < d && !r.isArriv_visible()  ){
			//System.out.println("Prudente !! ");
			if(v.getVitesse() < 0.1)
				return new Commande(1,co.getTurn());
			if(r.distancesInPixels()[r.getBestIndex()] == 0)
				return null;
			return new Commande(-0.5,co.getTurn());
		}

		else 
			return null;
	}

}
