package li260.strategy;

import li260.radar.Radar;
import li260.voiture.Commande;
import li260.voiture.Voiture;

public class StrategyRadar implements Strategy{
	Radar r ;
	Voiture v;
	public StrategyRadar(Radar r,Voiture v) {
		super();
		this.r = r;
		this.v = v; 
	}

	@Override

	public Commande getCommande() {
		@SuppressWarnings("unused")
		double[] g = new double [(r.thetas()).length];
		g  = r.scores();

		if(v.isgagne() || v.isechec()) return null;
		int best = r.getBestIndex() ;
		return new Commande(v.combien_acc(Math.abs(r.thetas()[best])),v.combienTurn(r.thetas()[best]));

	}


}
