package li260.swing;

import java.awt.Graphics;
import java.util.ArrayList;

import javax.swing.JPanel;

import li260.updateEventListener.UpdateEventListener;

@SuppressWarnings("serial")
public class IHMSwing extends JPanel implements UpdateEventListener {

	ArrayList<ObserveurSWING> liste ;

	public IHMSwing() {
		super();
		this.liste = new ArrayList<ObserveurSWING>();

	}


	@Override
	public void manageUpdate() {
		repaint();
		try {      // temporisation (sinon, on ne voit rien)
			Thread.sleep(10);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	public void paint(Graphics g){
		super.paint(g);
		for(ObserveurSWING o:liste)
			o.print(g);	
	}

	public void add(ObserveurSWING obs){
		this.liste.add(obs);
	}

	public void remove(){
		this.liste = new ArrayList<ObserveurSWING>();
	}

}
