package li260.view.observeurs;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import li260.swing.ObserveurSWING;
import li260.voiture.Voiture;

public class TrajectoireObserver implements ObserveurSWING {

	private  BufferedImage image ;
	private Voiture voiture;
	private Color color;

	public TrajectoireObserver(BufferedImage imo,Voiture voiture,Color color) {
		this.image = imo;
		this.voiture = voiture;
		this.color = color; 
	}



	@Override
	public void print(Graphics g) {
		for(int i=-2;i<2;i++){
			for(int j=-2;j<2;j++){
				image.setRGB(this.getX()+i, this.getY()+j, color.getRGB());
			}
		}
	}

	public int getY(){ // a inverser pour l'affichage horizontal
		return (int) voiture.getPosition().getX();
	}
	public int getX(){
		return (int) voiture.getPosition().getY();
	}

}