package li260.voiture;
import li260.geometrie.Vecteur;

public interface Voiture {
	// pour le pilotage
    public void drive(Commande c) throws VoitureException;
    public double getMaxTurn();
    public int get_num();
    // pour l'observation
    public double getVitesse();
    public Vecteur getPosition();
    public Vecteur getDirection();
    public double getBraquage();
    public void echec(boolean e);
    public void ok();
    public int myscors();
    public boolean isechec();
    public void setStrategyv(String strategyv);
	public String getStrategyv();
    
    public void gagne(boolean e);
    public boolean isgagne();
    public double combienTurn(double angle);
    public double combien_acc(double angle);
	double getVmax();

}
