package li260.circuit;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.ArrayList;

import li260.geometrie.Vecteur;

public class CircuitFactoryFromFile {

	private static ArrayList<Vecteur> liste;// = new ArrayList<Vecteur>(); ; 
	private static Vecteur dep ;
	//private final Vecteur dirDepart = new Vecteur(0,1);
	//private final Vecteur dirArrivee = new Vecteur(0,1);

	public static ArrayList<Vecteur> getListe() {
		return liste;
	}


	public static Vecteur getDep() {
		return dep;
	}

	public static Terrain[][] terrainFromFile (String fichier) {
		System.out.println("creation de terrain form :"+fichier);
		File f = new File(fichier);
		FileReader fr = null;
		liste = new ArrayList<Vecteur>();
		Terrain [][] terrain =null;
		try {
			// ouverture
			fr = new FileReader(f) ;
			// fonction supplémentaire
			BufferedReader in = new BufferedReader(fr);

			String buf = in.readLine();
			int x,y;
			y = Integer.parseInt(buf) ;//col
			buf = in.readLine();
			x = Integer.parseInt(buf) ;//lin
			System.out.println("x= "+x+"  y="+y) ;


			terrain = new Terrain[x][y];
			for(int i=0;i<x;i++){
				buf = in.readLine();
				for(int j=0;j<y;j++){
					terrain[i][j] = TerrainTools.terrainFromChar(buf.charAt(j));
					if (terrain[i][j] == Terrain.EndLine) 
						liste.add(new Vecteur (i,j)) ;
					if (terrain[i][j]== Terrain.StartPoint)
						dep = new Vecteur(i,j) ;
				}
			}
			in.close(); 
			// gestion des exceptions 
		} catch (Exception e) {
			e.printStackTrace();
			System.err.println("Invalid Format : " + f
					+ "... Loading aborted");
		}

		return terrain;
	}

	public static Circuit build(String s){
		Terrain[][] terrain = terrainFromFile(s) ;
		return new CircuitImpl(terrain,new Vecteur(0,1),new Vecteur(0,1));
	}

}

