package li260.outils;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import li260.graphics.Action;

public class ClavierListener implements KeyListener{
	private Action panel;
	private double dim=0;
	public ClavierListener(Action panel){
		this.panel = panel;
	}

	@Override
	public void keyPressed(KeyEvent e) {
		System.out.println("Code touche presse : ");
		if(e.getKeyChar() == '+'){
			dim = dim + 0.1;
			panel.setIm(Controleur.changeDim(panel.getIm(), dim));
		}
	}

	@Override
	public void keyReleased(KeyEvent event) {
		System.out.println("Code touche relache : " + event.getKeyCode() + " - caractere touche relâchée : " + event.getKeyChar());         
	}

	@Override
	public void keyTyped(KeyEvent event) {
		System.out.println("Code touche tapée : " + event.getKeyCode() + " - caractère touche tapée : " + event.getKeyChar());

	}

}
