package li260.view.observeurs;

import static org.lwjgl.opengl.GL11.glColor3f;
import static org.lwjgl.opengl.GL11.glTranslatef;
import li260.voiture.Voiture;
import org.lwjgl.util.glu.Sphere;

public class VoitureObserveur3D implements Observeur3D{


	private Sphere sphere;
	private Voiture voiture;

	private int size;

	public VoitureObserveur3D(Voiture voiture) {
		super();
		this.voiture = voiture;
		sphere = new Sphere();
		size = 20;
	}

	public float getY(){
		return  (float) voiture.getPosition().getX();
	}
	public float getX(){
		return  (float) voiture.getPosition().getY();
	}
	public float getZ() {
		return 0;
	}
	public float getDY(){
		return  (float) voiture.getDirection().getX();
	}
	public float getDX(){
		return  (float) voiture.getDirection().getY();
	}
	public float getDZ() {
		return 0;
	}


	public void drawGL() {

		glColor3f(1, 0, 1);
		glTranslatef(getX(), getY(), 0);
		sphere.draw(size, 10, 10);
		glTranslatef(-getX(), -getY(), 0);
		glColor3f(1, 1, 1);
	}


}
